package com.cab.model;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by user on 2016/5/16.
 */
public class TreeDemo {
    private String id;
    private String parentId;
    private Integer level;
    private String text;
    private List<TreeDemo> nodes;
    private List<String> tags;

    public TreeDemo() {
    }

    public TreeDemo(String id, String parentId, Integer level, String text, List<TreeDemo> nodes) {
        this.id = id;
        this.parentId = parentId;
        this.level = level;
        this.text = text;
        this.nodes = nodes;
        this.tags = new ArrayList<String>();
        this.tags.add(id);
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public List<TreeDemo> getNodes() {
        return nodes;
    }

    public void setNodes(List<TreeDemo> nodes) {
        this.nodes = nodes;
    }

    public List<String> getTags() {
        return tags;
    }

    public void setTags(List<String> tags) {
        this.tags = tags;
    }
}
